Subject: bug#32074: maintainer-clean and removing configure/Makefile.in/etc.

From: Mathieu Lirzin <[email-masked]>
Date: Sat, 07 Jul 2018 12:08:51 +0200

Hello Jack,

Jack Kelly <[email-masked]> writes:

> Karl Berry <[email-masked]> writes:
>
>> [snip automake manual blockquote]
>>
>> But nowadays, especially since autoreconf exists, it does not seem
>> unreasonable to me to want to delete Makefile.in, configure, etc. It
>> is just as easy to run autoreconf (or equivalent) as configure&&make,
>> and it feels nice to have such dependent files gone from the source
>> tree, especially when working on setting up a package with autotools.
>>
>> I certainly don't suggest changing any behavior, but perhaps the manual
>> could mention that it could be done via maintainer-clean-local or
>> MAINTAINERCLEANFILES, e.g.:
>>
>> MAINTAINERCLEANFILES = aclocal.m4 config.h.in configure \
>>                        Makefile Makefile.in */Makefile */Makefile.in
>>
>> Some maintainers might prefer to also remove build-aux or more...
>
> It is certainly valuable to test that you can bootstrap your package
> from autoreconf up, but I don't think `make maintainer-clean' is the
> best place to do that. The `git-clean' command removes untracked files
> from the worktree, and I'm sure other VCSes let you do similar
> things. Maybe the manual could point to those commands?

This works only when files generated by Autotools are not commited to
VCS.  Having said that, I agree this is a general good practice that
ought to be documented in Automake's manual.  Have you any suggestion
regarding the location and wording?

Thanks.

[1] https://www.gnu.org/software/automake/faq/gnulib.html#VCS-Issues

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37